[ubuntu/groovy-proposed] openjfx 11.0.7+0-5ubuntu1 (Accepted)

Tiago Stürmer Daitx tiago.daitx at ubuntu.com
Tue Sep 22 22:55:19 UTC 2020


openjfx (11.0.7+0-5ubuntu1) groovy; urgency=low

  * Merge from Debian unstable. Dropped python2 dependency.
  * debian/rules: when building arch and indep packages simultaneously (as
    done in Ubuntu builders) the file gradle.properties copied in
    override_dh_auto_configure-arch will be overwritten by
    override_dh_auto_configure-indep preventing native libraries for media
    and webkit from being build. (LP: #1877000)
  * Remove/revert patch to force NUM_COMPILE_THREADS=1.

openjfx (11.0.7+0-5) unstable; urgency=medium

  * Team upload.
  * Mark GST_API symbols as external. Closes: #969260.
  * Fix jsmin stream handling with Python 3.

openjfx (11.0.7+0-4) unstable; urgency=medium

  * Team upload.
  * Force NUM_COMPILE_THREADS=1

openjfx (11.0.7+0-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3 (Closes: #937202, #967185)

openjfx (11.0.7+0-2ubuntu1) focal; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using python2.

openjfx (11.0.7+0-2) unstable; urgency=medium

  * Disable the Gradle version check when building only the arch all package
    (Closes: #956585)
  * Enable the WebKit JIT on arm64

openjfx (11.0.7+0-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - Build depend on antlr4 instead of antlr3
    - Fixed the compatibility with the version of Gradle in Debian
  * Standards-Version updated to 4.5.0

Date: Tue, 22 Sep 2020 21:05:26 +0000
Changed-By: Tiago Stürmer Daitx <tiago.daitx at ubuntu.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/openjfx/11.0.7+0-5ubuntu1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 22 Sep 2020 21:05:26 +0000
Source: openjfx
Architecture: source
Version: 11.0.7+0-5ubuntu1
Distribution: groovy
Urgency: medium
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Tiago Stürmer Daitx <tiago.daitx at ubuntu.com>
Closes: 937202 956585 967185 969260
Launchpad-Bugs-Fixed: 1877000
Changes:
 openjfx (11.0.7+0-5ubuntu1) groovy; urgency=low
 .
   * Merge from Debian unstable. Dropped python2 dependency.
   * debian/rules: when building arch and indep packages simultaneously (as
     done in Ubuntu builders) the file gradle.properties copied in
     override_dh_auto_configure-arch will be overwritten by
     override_dh_auto_configure-indep preventing native libraries for media
     and webkit from being build. (LP: #1877000)
   * Remove/revert patch to force NUM_COMPILE_THREADS=1.
 .
 openjfx (11.0.7+0-5) unstable; urgency=medium
 .
   * Team upload.
   * Mark GST_API symbols as external. Closes: #969260.
   * Fix jsmin stream handling with Python 3.
 .
 openjfx (11.0.7+0-4) unstable; urgency=medium
 .
   * Team upload.
   * Force NUM_COMPILE_THREADS=1
 .
 openjfx (11.0.7+0-3) unstable; urgency=medium
 .
   * Team upload.
   * Build-depend on python3 (Closes: #937202, #967185)
 .
 openjfx (11.0.7+0-2ubuntu1) focal; urgency=medium
 .
   * Merge with Debian; remaining changes:
     - Build using python2.
 .
 openjfx (11.0.7+0-2) unstable; urgency=medium
 .
   * Disable the Gradle version check when building only the arch all package
     (Closes: #956585)
   * Enable the WebKit JIT on arm64
 .
 openjfx (11.0.7+0-1) unstable; urgency=medium
 .
   * New upstream release
     - Refreshed the patches
     - Build depend on antlr4 instead of antlr3
     - Fixed the compatibility with the version of Gradle in Debian
   * Standards-Version updated to 4.5.0
Checksums-Sha1:
 2872b160d2b1e657a56f575230a118add8493036 2875 openjfx_11.0.7+0-5ubuntu1.dsc
 313e3c86037b4fcebb5ba8b7511407fe5e7522e2 17364 openjfx_11.0.7+0-5ubuntu1.debian.tar.xz
 22beea87cec4706df78da6beace5b71af33feb8e 21961 openjfx_11.0.7+0-5ubuntu1_source.buildinfo
Checksums-Sha256:
 cf33bd099ce08308ef3284618527a45713e1679363498e59d27c4db0bd435959 2875 openjfx_11.0.7+0-5ubuntu1.dsc
 644cef2c0bb4b28fd85f893c566fb92f59db8dd69c1c4072e7d5bfb8634f0944 17364 openjfx_11.0.7+0-5ubuntu1.debian.tar.xz
 272ff1e11dc9ad745bbe4dc906ed68d6ee3cd7c901dc9d0e0a6b02db12ee9125 21961 openjfx_11.0.7+0-5ubuntu1_source.buildinfo
Files:
 b1887c9da90b856d2a9ea5dfe294ce3a 2875 java optional openjfx_11.0.7+0-5ubuntu1.dsc
 f7986611c9eb517cf3abdbb60308f8bf 17364 java optional openjfx_11.0.7+0-5ubuntu1.debian.tar.xz
 a0df3394e91916ed59475a0f17afc136 21961 java optional openjfx_11.0.7+0-5ubuntu1_source.buildinfo
Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers at lists.alioth.debian.org>

-----BEGIN PGP SIGNATURE-----

iQJLBAEBCgA1FiEE+JEitvb+Hru9UiZmnDJEJjvUHeAFAl9qgHIXHHRpYWdvLmRh
aXR4QHVidW50dS5jb20ACgkQnDJEJjvUHeDBkQ//VfkjvNTGeJsj00wt/xg78/X2
sWSOdWSpbyrZZt/ieur6Ju00/N2BfzMh3LMlVBF5Uu0F/3cxcy0mTm6pKuUz8ieU
5dgyUjel3CEtbjBsJV6hnka3D6zyM6HWlLQNfyrKWRFv021YqbCBekKoKe2oKnqH
8/KP/KQl3BWx7gsfwPBt1kXuWFBEIXVk7EgpFt3iRbcrPzJw12/EYtScMcoOGHq0
970iccjl6BxfiANnV/vcvR9ZBoE/PkJLcfsOPC6bIEI0KltaJzJZmV/FzEaWABLp
OB4c1/zz4aYjtl/GCtYtScBDr7bDE7legFZOcBZprIp1Hc1odf23MC4D7QbGVRmd
ho56kyVgHzX68rashm1X4M50w1AYZNhfqlokymEcRFzGDmaHwIYES+YUTtOp8SO1
nIjZu5rQ8LIdFEcux6zIKR0Il+GfhF6DoGW3T7gS1HyROC03qpcr1UI+hKkS+SKL
MPf91oVQmzNEme1URf9rRAbJeFyAHVEN8+IZms8bx87jNUgnOZXJeSXDB+kTCKdg
unvzZjHq3J8MrET/CdmkLibUEDC234gxXt68aacS8yFT1BXb3Kjis/41uDpggH45
GhxyWMP3onYw9UrVseu008X1bKdJe++LiO838AbuIfsVobDOoptdYP23JAF1hyQO
leQk1ZQLLVjEfWGC6Ws=
=Lj0H
-----END PGP SIGNATURE-----


More information about the Groovy-changes mailing list